Bug Hunting Session
Bug 81556 - Access denied upon network save (Novell Netware)
Summary: Access denied upon network save (Novell Netware)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: needsNetware
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2014-07-20 08:46 UTC by rbeilby
Modified: 2019-05-08 20:50 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rbeilby 2014-07-20 08:46:24 UTC
When saving an edited file on to a Netware 5.1 server in odt format get access denied error message, followed by another couple of error messages. This only happens with odt files, doc files are fine. Have not tried docx files. The error only occurs when saving to an existing file. New files save properly.

The error seems to be due to the way in which the internal formats are saved within the odt file.
Comment 1 Jean-Baptiste Faure 2014-07-22 12:57:03 UTC
If you are on MS-Windows then it seems to be a duplicate of bug 67534. In this case, a workaround is to uninstall the LO Explorer Shell Extension.

What is your Operating System? MS-Windows, MacOS X or Linux ?

Set status to NEEDINFO. Please set it back to UNCONFIRMED once you have provided requested informations.

Best regards. JBF
Comment 2 rbeilby 2014-07-22 22:32:25 UTC
Desktop machines are win xp pro sp3. File-server is Novell Netware 5.1

I am not sure that this error is the same as in the bug report you mention as the error is only seen when trying to save an edited version of an existing .ODT file. A new file saves without problem, as does a .DOC file at any time. No error occurs when opening a file.

How is the LO Explorer Shell Extension removed from the computer?

Regards,

Richard Beilby.
Comment 3 rbeilby 2014-10-04 15:02:51 UTC
I am still not able to save updated or edited ODT files. I have tried installing LO 4.3.1, but, it crashes during the installation process.

Regards,

Richard Beilby.
Comment 4 Jean-Baptiste Faure 2014-10-04 15:37:36 UTC
(In reply to rbeilby from comment #2)
> [...]
> How is the LO Explorer Shell Extension removed from the computer?

When you start the installer, choose the custom installation mode then you can choose the extensions or dictionaries or language support you want to install.

Note: current stable "Fresh" version is 4.3.2.

Best regards. JBF
Comment 5 rbeilby 2014-10-04 16:06:46 UTC
Thank you, Jean-Baptiste.

I have just tried 4.3.2, but, it refuses to run. I get the error message "The application cannot be started. Extension Manager: exception during enableExtensions

I have no idea why. I have returned to 4.2.6

Regards, 

Richard Beilby.
Comment 6 Jean-Baptiste Faure 2014-10-04 17:19:08 UTC
(In reply to rbeilby from comment #5)
> Thank you, Jean-Baptiste.
> 
> I have just tried 4.3.2, but, it refuses to run. I get the error message
> "The application cannot be started. Extension Manager: exception during
> enableExtensions
> 
> I have no idea why. I have returned to 4.2.6

Old XP machines ? Perhaps this problem: bug 82430.

On 4.2.6, did you try to remove/do not install Explorer Shell Extension ?

Best regards. JBF
Comment 7 rbeilby 2014-10-04 22:50:20 UTC
Hello Jean-Baptiste,

Yes, it is an XP machine.

I did run the modify option in the installation process and deselected the Windows Explorer Extension. The problem still remains.

Does 4.3 solve my problem?

I am surprised that LO has dropped XP from its sights. There are still many installations out there and most people either cannot afford or want to change. We want to use LO to get round the m$ greed. Will there be a fix soon?

Regards,

Richard Beilby.
Comment 8 Jean-Baptiste Faure 2014-10-05 06:53:48 UTC
(In reply to rbeilby from comment #7)
[...]
> I am surprised that LO has dropped XP from its sights.

XP support has not been dropped, only the machines that do not have SSE2.

Best regards. JBF
Comment 9 rbeilby 2014-10-05 09:52:12 UTC
I did run the modify option in the installation process and deselected the Windows Explorer Extension. The problem still remains.

Is there anything else that can be done to make 4.2.3 work?

Regards,

Richard Beilby.
Comment 10 Buovjaga 2014-11-27 10:51:49 UTC
Should be UNCONFIRMED.
Comment 11 rbeilby 2014-11-27 16:06:45 UTC
Why change it?

The bug remains, when is it going to be fixed. We cannot LO at all because of the save bug.
Comment 12 Buovjaga 2014-11-28 06:03:29 UTC
(In reply to rbeilby from comment #11)
> Why change it?

I changed it, because if it had remained in NEEDINFO without any comments, it would have been automatically closed as INVALID after 7 months. Furthermore, nobody in general looks at NEEDINFO bugs. UNCONFIRMED bugs, however, receive regular scrutiny.

This status change was done as part of my now completed task of going through all the 1000+ NEEDINFO bugs in the tracker: https://wiki.documentfoundation.org/QA/QATasks#NEEDINFO_bugs

You need someone to independently confirm your bug before it can be set to NEW status. This particular bug report is very hard for the quality assurance team to confirm, so I will soon add it to our curated hard bugs list: https://wiki.documentfoundation.org/QA/BugTriage/HardBugs
There it will have better visibility.
Comment 13 Julien Nabet 2015-11-08 19:50:26 UTC
Almost one year after last comment, any update with last stable LO version 5.0.3 (+brand new LO profile, see https://wiki.documentfoundation.org/UserProfile#Windows)
Comment 14 tommy27 2017-01-13 17:47:15 UTC
please give an update about the bug status with latest LibO 5.2.4.2

since no answer was given to previous retest question I set the status to NEEDINFO
Comment 15 QA Administrators 2017-07-27 12:06:19 UTC Comment hidden (obsolete)
Comment 16 rbeilby 2017-08-05 11:29:31 UTC
Bug remains. Not able to modify any file that is on the network; it has to be copied to local drive or renamed.
Comment 17 tommy27 2017-12-21 05:56:47 UTC
LibO 5.4.4 is out. is this issue still affecting you with latest release?

status -> NEEDINFO
Comment 18 QA Administrators 2018-07-03 14:15:45 UTC Comment hidden (obsolete)
Comment 19 rbeilby 2018-07-03 22:37:47 UTC
Problem is consistent, happened again today. Unable to over write an existing file in xls, xlsx or ods format over a network. Seems like original file is left open meaning it can never be overwritten until the user is logged off.

The bug remains in Libre Office 4.4 and 5.x
Comment 20 Buovjaga 2018-07-04 06:33:23 UTC
(In reply to rbeilby from comment #19)
> Problem is consistent, happened again today. Unable to over write an
> existing file in xls, xlsx or ods format over a network. Seems like original
> file is left open meaning it can never be overwritten until the user is
> logged off.
> 
> The bug remains in Libre Office 4.4 and 5.x

Are you still using Windows XP? Are you still using Novell Netware?

https://en.wikipedia.org/wiki/NetWare

"The final update release was version 6.5SP8 of May 2009; Netware is no longer on Novell's product list. NetWare 6.5SP8 General Support ended in 2010, with Extended Support until the end of 2015, and Self Support until the end of 2017. The replacement is Open Enterprise Server."

Have you considered switching to some other network storage solution?
Comment 21 tommy27 2018-07-30 06:30:47 UTC
retest with LibO 6.0.5 and tell if issue persist.
please also answer to comment 20

status -> NEEDINFO
Comment 22 QA Administrators 2019-03-21 11:11:17 UTC Comment hidden (obsolete)
Comment 23 QA Administrators 2019-05-08 20:50:07 UTC
Dear rbeilby,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp